import React from 'react';
import NavHeader from './NavHeader';
import {Helmet} from 'react-helmet';

const Layout: React.FC<{}> = (props) =>  {
    return (
	<div className="bg-gray-900 text-gray-200 min-h-screen min-w-screen font-main">
	    <Helmet>
		<title>Rik Berkelder</title>
		<meta name="viewport" content="width=device-width, initial-scale=1.0" />
	    </Helmet>
	    <div className="mx-auto max-w-screen-lg container pt-1.5 p-0 sm:p-2">
		<NavHeader/>
		<main>
		{props.children}
		</main>
	    </div>
      {process.env.NODE_ENV === "production" ? (
      <script data-goatcounter="https://riksolo-com.stats.riksolo.com/count"
        async src="//riksolo-com.stats.riksolo.com/count.js"></script>
      ) : null}
	</div>
    )
};

export default Layout;
